Commits

Armin Rigo committed 784b62e

Bah.

Comments (0)

Files changed (2)

 <li><a class="reference external" href="https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-linux.tar.bz2">Linux binary (32bit)</a> (<a class="reference internal" href="#openssl0-9-8-notes">openssl0.9.8 notes</a>)</li>
 <li><a class="reference external" href="https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-linux64.tar.bz2">Linux binary (64bit)</a> (<a class="reference internal" href="#openssl0-9-8-notes">openssl0.9.8 notes</a>)</li>
 <li><a class="reference external" href="https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-osx64.tar.bz2">Mac OS/X binary (64bit)</a></li>
-<li><a class="reference external" href="https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-win32.zip">Windows binary (32bit)</a></li>
-</ul><p>If your CPU is really old, it may not have SSE2.  In this case, you need
+<li><a class="reference external" href="https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-win32.zip">Windows binary (32bit)</a> (you need the <a class="reference external" href="http://www.microsoft.com/download/en/details.aspx?displaylang=en&amp;id=5555">VS 2010 runtime libraries</a>)
+<em>note: the zip file contains the wrong version, msvcrt90.dll :-(</em></li>
+</ul>
+<p>If your CPU is really old, it may not have SSE2.  In this case, you need
 to <a class="reference internal" href="#translate">translate</a> yourself with the option <tt class="docutils literal"><span class="pre">--jit-backend=x86-without-sse2</span></tt>.</p>
 </div>
 <div class="section" id="other-versions">

source/download.txt

 * `Linux binary (32bit)`__ (`openssl0.9.8 notes`_)
 * `Linux binary (64bit)`__ (`openssl0.9.8 notes`_)
 * `Mac OS/X binary (64bit)`__
-* `Windows binary (32bit)`__
+* `Windows binary (32bit)`__ (you need the `VS 2010 runtime libraries`_)
+  *note: the zip file contains the wrong version, msvcrt90.dll :-(*
 
 .. __: https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-linux.tar.bz2
 .. __: https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-linux64.tar.bz2
 .. __: https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-osx64.tar.bz2
 .. __: https://bitbucket.org/pypy/pypy/downloads/pypy-1.8-win32.zip
-.. VS 2010 runtime libraries: http://www.microsoft.com/downloads/en/details.aspx?familyid=A7B7A05E-6DE6-4D3A-A423-37BF0912DB84
+.. _`VS 2010 runtime libraries`: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=5555
 
 If your CPU is really old, it may not have SSE2.  In this case, you need
 to translate_ yourself with the option ``--jit-backend=x86-without-sse2``.